import java.rmi.*;

public class RemoteFileClient
{
   public static void lista(RemoteFileI r) throws Exception
   {
      String[] lista = r.list();
      for (int i = 0; i < lista.length; i++)
      {
         System.out.println(lista[i]);
      }
   }

   public static void main(String argv[])
   {
      try
      {
         //System.setSecurityManager(new RMISecurityManager());

         // ottengo il primo oggetto (radice)
         RemoteFileI r = (RemoteFileI)Naming.lookup("Root");
         System.out.println(r);
         
         // ne elenco il contenuto
         lista(r);
         System.out.println("------------");
         
         // elenco il contenuto della dir contenitrice
         lista(r.getParent());
         
         // prendo un altro file
         RemoteFileI altro = r.newFile("InMemoryFile.java");
         System.out.println(altro);
         
         // stampo il contenuto del file speditomi
         System.out.println(altro.getContent());
      }
      catch(Exception e) { e.printStackTrace(); }
   }
}
