import java.net.*;
import java.io.*;
import java.util.*;
import java.rmi.*;
import java.rmi.server.*;

public interface RemoteFileI extends Remote
{
   /** elenca gli item contenuti (se e' una dir) */
   public String[] list() throws RemoteException;

   /** restituisce un altro sottoalbero/file */
   public RemoteFileI newFile(String nomeFile) throws RemoteException;

   /** restituisce il (sopra)sottoalbero */
   public RemoteFileI getParent() throws RemoteException;

   /** restituisce il contenuto del file proxato */
   public InMemoryFile getContent() throws RemoteException;
}

